<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.csp.mapper.SysConfigLimitMapper">

	<resultMap id="sysConfigLimitMap" type="com.yifu.cloud.plus.v1.csp.entity.SysConfigLimit">
		<id property="id" column="ID"/>
		<result property="configKey" column="CONFIG_KEY"/>
		<result property="configValue" column="CONFIG_VALUE"/>
		<result property="remark" column="REMARK"/>
	</resultMap>
	<!-- 根据key获取value -->
	<select id="getSysConfigLimitByKey" resultType="java.lang.Integer">
		SELECT a.CONFIG_VALUE
		FROM sys_config_limit a
		where a.CONFIG_KEY = #{configKey} limit 1
	</select>
</mapper>
